Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.cache
Class ConcurrentLinkedHashCacheProvider

    java.lang.Object
      org.apache.cassandra.cache.ConcurrentLinkedHashCacheProvider

All Implemented Interfaces:
  IRowCacheProvider

    public class ConcurrentLinkedHashCacheProvider

extends java.lang.Object
implements IRowCacheProvider

Constructor Summary
`ConcurrentLinkedHashCacheProvider()`

Method Summary
`ICache<DecoratedKey,ColumnFamily>` | `create(int capacity, java.lang.String tableName, java.lang.String cfName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConcurrentLinkedHashCacheProvider

    public ConcurrentLinkedHashCacheProvider()

Method Detail

### create

    public ICache<DecoratedKey,ColumnFamily> create(int capacity,
                                                    java.lang.String tableName,
                                                    java.lang.String cfName)

  Specified by:
    `create` in interface `IRowCacheProvider`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 The Apache Software Foundation